import 'dart:io';

/// HyperkycConstants which will be used in Hyperkyc Flutter SDK
class HyperKycConstants {
  /// MethodChannel constants
  static const String hyperKycChannel = 'hyperKyc';

  /// InvokeMethod name constants
  static const String launch = 'launch';

  /// Map properties
  /// API BaseResponse
  //  BaseResponse
  static const String metadata = 'metadata';
  static const String status = 'status';
  static const String statusCode = 'statusCode';

  //  Metadata
  static const String data = 'data';
  static const String customerId = 'customerId';
  static const String requestId = 'requestId';
  static const String attemptCount = 'attemptCount';

  //  Summary
  static const String details = 'details';
  static const String action = 'action';

  //  Details
  static const String code = 'code';
  static const String message = 'message';

  //  FieldValue
  static const String value = 'value';
  static const String confidence = 'confidence';
  static const String score = 'score';
  static const String reviewNeeded = 'reviewNeeded';

  /// HyperKycConfig
  static const String appId = 'appId';
  static const String appKey = 'appKey';
  static const String accessToken = 'accessToken';
  static const String transactionId = 'transactionId';
  static const String workFlow = 'workFlow';
  static const String defaultCountryId = 'defaultCountryId';

  /// HyperKycData
  static const String docResultList = 'docResultList';
  static const String faceMatchDataResultList = 'faceMatchDataResultList';
  static const String selectedCountry = 'selectedCountry';
  static const String faceData = 'faceData';

  /// HyperKyc DocData
  // DocResult
  static const String tag = 'tag';
  static const String documentId = 'documentId';
  static const String docDataList = 'docDataList';

  //  DocData
  static const String side = 'side';
  static const String docImagePath = 'docImagePath';
  static const String responseHeaders = 'responseHeaders';
  static const String responseResult = 'responseResult';
  static const String result = 'result';

  //  DocResultObject
  static const String error = 'error';
  static const String summary = 'summary';

  //  OCRApiStructure
  static const String idType = 'idType';
  static const String fieldsExtracted = 'fieldsExtracted';
  static const String qualityChecks = 'qualityChecks';
  static const String ruleChecks = 'ruleChecks';

  //  FieldsExtracted
  static const String idNumber = 'idNumber';
  static const String firstName = 'firstName';
  static const String middleName = 'middleName';
  static const String lastName = 'lastName';
  static const String fullName = 'fullName';
  static const String dateOfBirth = 'dateOfBirth';
  static const String dateOfIssue = 'dateOfIssue';
  static const String dateOfExpiry = 'dateOfExpiry';
  static const String countryCode = 'countryCode';
  static const String type = 'type';
  static const String gender = 'gender';
  static const String placeOfBirth = 'placeOfBirth';
  static const String placeOfIssue = 'placeOfIssue';
  static const String yearOfBirth = 'yearOfBirth';
  static const String age = 'age';
  static const String fatherName = 'fatherName';
  static const String motherName = 'motherName';
  static const String husbandName = 'husbandName';
  static const String spouseName = 'spouseName';
  static const String nationality = 'nationality';
  static const String mrzString = 'mrzString';
  static const String hometown = 'hometown';
  static const String address = 'address';

  //  Address
  static const String houseNumber = 'houseNumber';
  static const String additionalInfo = 'additionalInfo';
  static const String province = 'province';
  static const String district = 'district';
  static const String street = 'street';
  static const String zipCode = 'zipCode';

  //  DocQualityChecks
  static const String blur = 'blur';
  static const String glare = 'glare';
  static const String blackAndWhite = 'blackAndWhite';
  static const String capturedFromScreen = 'capturedFromScreen';
  static const String whiteBackground = 'whiteBackground';
  static const String cutId = 'cutId';

  //  RuleChecks
  static const String idNumberInvalid = 'idNumberInvalid';

  /// HyperKyc FaceData
  // FaceData
  static const String croppedFaceImagePath = 'croppedFaceImagePath';
  static const String fullFaceImagePath = 'fullFaceImagePath';
  static const String videoPath = 'videoPath';

  //  LivenessApiStructure
  static const String liveFace = 'liveFace';
  static const String live = 'live';
  static const String livenessScore = 'livenessScore';
  static const String toBeReviewed = 'toBeReviewed';

  //  FaceQualityChecks
  static const String eyesClosed = 'eyesClosed';
  static const String maskPresent = 'maskPresent';
  static const String multipleFaces = 'multipleFaces';

  /// HyperKyc FaceMatchData
  //  FaceMatchDataResult
  static const String faceMatchData = 'faceMatchData';

  //  FaceMatchApiStructure
  static const String matchScore = 'matchScore';
  static const String conf = 'conf';
  static const String match = 'match';

  /// HyperKyc Flutter
  static const String hyperKycConfig = 'hyperKycConfig';

  /// HyperKycResult
  static const String success = 'success';
  static const String cancelled = 'cancelled';
  static const String failure = 'failure';
  static const String hyperKYCData = 'hyperKYCData';
  static const String reason = 'reason';
}
